<div class="btnAcrossPageName">
<!--    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'-->
<!--               (click)="onRegisterClick()"-->
<!--               *ngIf="!isAccepted && !isDetail"-->
<!--               mbButtonText="{{'selfService.dependentRegisters.confirmAuthorized' | translate}}"></mb-button>-->
<!--    <mb-button-->
<!--        *ngIf="isAccepted && !isDetail"-->
<!--        (click)="onCancelRegisterClick()"-->
<!--        [mbButtonAvailableStyle]="'PRIMARY'"-->
<!--        mbButtonText="{{'selfService.dependentRegisters.cancelRegisterBtn' | translate}}"-->
<!--    ></mb-button>-->

    <mb-button
        *ngIf="!isDetail"
        (click)="onSave()"
        [mbButtonAvailableStyle]="'PRIMARY'"
        mbButtonText="{{'selfService.dependentRegisters.save' | translate}}"
    ></mb-button>

    <mb-button
        (click)="onBack()"
        *ngIf="!isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'common.button.cancel' | translate}}"
    ></mb-button>
    <mb-button
        (click)="onBack()"
        *ngIf="isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'selfService.dependentRegisters.back' | translate}}"
    ></mb-button>
</div>

<div class='content__item content__item--border bg__content--default'>
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <app-personal-information
      [isShowIdNo]="true"
      [isShowEmail]="true"
      (employeeInfoEvent)="getEmployeeInfo($event)"
    >
    </app-personal-information>
    <form nz-form [formGroup]="form" style="margin-top: 20px">
        <div nz-row [nzGutter]="[30,30]">
            <div nz-col [nzXs]=12 [nzLg]="12">
                <mb-input-text
                  formControlName="accountNo"
                  [mbMaxLength]="20"
                  mbPlaceholderText="{{'selfService.personalInfo.accountNo' | translate}}"
                  mbLabelText="{{'selfService.personalInfo.accountNo' | translate}}"
                >
                </mb-input-text>
            </div>
            <div nz-col [nzXs]=12 [nzLg]="12">
                <mb-date-picker
                  mbLabelText="{{'selfService.personalInfo.confirmDate' | translate}}"
                  [mbPlaceholderText]="'dd/mm/yyyy'"
                  formControlName="createDate"
                  [mbDisabled]="true"
                ></mb-date-picker>
            </div>
            <div nz-col [nzXs]="24" [nzLg]="24">
                <label class="label__method">{{'selfService.provideInfo.isConfirmProvide' | translate}}</label>
                <div style="margin-top: 12px">
                    <nz-radio-group formControlName="isAccepted">
                        <label nz-radio [nzValue]="o.value" *ngFor="let o of options">{{ o.label }}</label>
                    </nz-radio-group>
                </div>
            </div>
            <div nz-col [nzXs]=24 [nzLg]="24">
                <mb-input-text
                    formControlName="note"
                    [mbIsTextAre]="true"
                    [mbMaxLength]="500"
                    mbPlaceholderText="{{'selfService.dependentRegisters.note' | translate}}"
                    mbLabelText="{{'selfService.dependentRegisters.note' | translate}}"
                >
                </mb-input-text>
            </div>
        </div>
    </form>
</div>
